Page MenuHomePhabricator

Previous- and Next-Button
Closed, ResolvedPublic

Description

Author: micholz

Description:
Since about between 29.04. 19:30 and 30.04. 06:44 (CEST) several features on
de.wikisource have been halted to function.

See "Bug 48182".

A particularly disturbing effect is the missing previous- and next-Button in "single page mode" (e.g. http://de.wikisource.org/wiki/Seite:FrancesKuelpeRoteTage.pdf/239). When you have edit and save, you can not (without long way round) to next page, for usability is it a disaster.

There are still some other bugs since the last update, please try to resolve some of them. We want back to "good old times"!


Version: unspecified
Severity: major

Details

Reference
bz48531

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:40 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz48531.
bzimport added a subscriber: Unknown Object (MLST).
Tpt added a comment.May 16 2013, 12:00 PM

I think it was the de.wikisource.org MediaWiki:Commons.js that fails because of a missing function and, so, stop execution of the others JavaScript scripts including the one that adds previous and next links.

I've fixed this issue using my global right in order to don't let the wiki broken anytime more: https://de.wikisource.org/w/index.php?title=MediaWiki%3ACommon.js&diff=2003222&oldid=1803972

I hope that anything works fine now.

Argh, mid-air collisions with Tpt. :)
Thanks for investigating this, I was also just about to investigate the case of "hasClass" not being found.

Tpt: Do you think it's likely that

have the same root problem and should receive the same fix?

Tpt added a comment.May 16 2013, 12:30 PM

(In reply to comment #2)
Yes, it's looks like it's the same error. The hasClass( DOMNode, class name ) function was maybe provided by an old MediaWiki JavaScript code that have been removed and so code that rely on it have been broken. I believe that my edit have fixed also bug 48182 and a similar change can fix bug 48019 .

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:46 AM